Bug 65163 - [PORT UPDATE] net/amule 1.2.6_1
Summary: [PORT UPDATE] net/amule 1.2.6_1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: pav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-04 17:50 UTC by ganael.laplanche
Modified: 2004-04-08 09:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2004-04-04 17:50:04 UTC
	Updates port 1.2.6 of aMule to d/l from berlios.de

Fix: --------------- aMule-1.2.6_1.shar starts here ---------------


--------------- aMule-1.2.6_1.shar ends here -----------------5J5UjJq8Pc8h7l4NQ4HKxyU4ErAsRnQO0pCn9AxiJTrrSgww
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	amule
#	amule/files
#	amule/files/patch-Makefile.in
#	amule/files/patch-SysTray.cpp
#	amule/Makefile
#	amule/distinfo
#	amule/pkg-descr
#	amule/pkg-plist
#
echo c - amule
mkdir -p amule > /dev/null 2>&1
echo c - amule/files
mkdir -p amule/files > /dev/null 2>&1
echo x - amule/files/patch-Makefile.in
sed 's/^X//' >amule/files/patch-Makefile.in << 'END-of-amule/files/patch-Makefile.in'
X--- src/Makefile.in.orig	Tue Feb 17 16:43:20 2004
X+++ src/Makefile.in	Tue Feb 17 16:43:42 2004
X@@ -197,7 +197,7 @@
X sysconfdir = @sysconfdir@
X systray = @systray@
X target_alias = @target_alias@
X-bin_PROGRAMS = $(am__append_1) ed2k amule
X+bin_PROGRAMS = $(am__append_1) amule
X 
X BUILT_SOURCES = sys.h
X EXTRA_DIST = sys.h.in strings.en *.h pixmaps bitmaps Makengfile
X@@ -357,8 +357,8 @@
X CONFIG_CLEAN_FILES = timestamp-sys.h
X @COMPILE_CMD_TRUE@bin_PROGRAMS = amulecmd$(EXEEXT) amulecmdDLG$(EXEEXT) \
X @COMPILE_CMD_TRUE@	amuleweb$(EXEEXT) amulewebDLG$(EXEEXT) \
X-@COMPILE_CMD_TRUE@	ed2k$(EXEEXT) amule$(EXEEXT)
X-@COMPILE_CMD_FALSE@bin_PROGRAMS = ed2k$(EXEEXT) amule$(EXEEXT)
X+@COMPILE_CMD_TRUE@	amule$(EXEEXT)
X+@COMPILE_CMD_FALSE@bin_PROGRAMS = amule$(EXEEXT)
X PROGRAMS = $(bin_PROGRAMS)
X 
X am__amule_SOURCES_DIST = ListenSocket.cpp EMSocket.cpp AddFriend.cpp \
END-of-amule/files/patch-Makefile.in
echo x - amule/files/patch-SysTray.cpp
sed 's/^X//' >amule/files/patch-SysTray.cpp << 'END-of-amule/files/patch-SysTray.cpp'
X--- src/SysTray.cpp.orig	Tue Feb 17 16:43:12 2004
X+++ src/SysTray.cpp	Tue Feb 17 16:43:53 2004
X@@ -22,8 +22,8 @@
X #include "sys.h"
X #include <libintl.h>
X #include <clocale>		// Needed for setlocale(3)
X-#include <net/if.h>		// Needed for struct ifreq
X #include <sys/socket.h>		//
X+#include <net/if.h>		// Needed for struct ifreq
X #include <netinet/in.h>		// Needed for inet_ntoa
X #include <arpa/inet.h>		//
X #include <sys/ioctl.h>		// Needed for SIOCGIFADDR
END-of-amule/files/patch-SysTray.cpp
echo x - amule/Makefile
sed 's/^X//' >amule/Makefile << 'END-of-amule/Makefile'
X# New ports collection makefile for:	amule
X# Date created:		Wed Nov 05 09:30:00 UTC 2003
X# Whom:			Ganael LAPLANCHE <ganael.laplanche@martymac.com>
X#
X# $FreeBSD: ports/net/amule/Makefile,v 1.2 2004/03/03 09:40:47 pav Exp $
X#
X
XPORTNAME=	aMule
XPORTVERSION=	1.2.6
XPORTREVISION=	1
XCATEGORIES=	net
XMASTER_SITES=	http://download.berlios.de/amule/
X
XMAINTAINER=	ganael.laplanche@martymac.com
XCOMMENT=	Just another eMule P2P Client
X
XLIB_DEPENDS=	wx_gtk2-2.4.0:${PORTSDIR}/x11-toolkits/wxgtk2 \
X		curl.2:${PORTSDIR}/ftp/curl
X
XUSE_X_PREFIX=	yes
XUSE_GNOME=	gnomehier gnomehack gnomeprefix
XUSE_REINPLACE=	yes
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS=	--without-included-gettext \
X		--with-libintl-prefix=${LOCALBASE} \
X		--with-libiconv-prefix=${LOCALBASE} \
X		--with-wx-config=${WX_CONFIG} \
X		--with-wxbase-config=${WX_CONFIG}
X
XOPTIONS=	OPTIMIZE "Build with optimization" off \
X		STATIC "Enable static linking" off \
X		RELGRP "Use release group code" off
X
XCONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include ${PTHREAD_CFLAGS}" \
X		LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib ${PTHREAD_LIBS}"
X
XWX_CONFIG?=	${X11BASE}/bin/wxgtk2-2.4-config
X
X# Configure options
X.if defined(WITH_OPTIMIZE)
XCONFIGURE_ARGS+=	--enable-optimise
X.endif
X
X.if defined(WITH_STATIC)
XCONFIGURE_ARGS+=	--enable-static
X.endif
X
X.if defined(WITH_RELGRP)
XCONFIGURE_ARGS+=	--enable-releasegrp
X.endif
X
Xpost-build:
X# Build the generic named ed2k binary
X# It will be installed in an adhoc fashion
X	@cd ${BUILD_WRKSRC}/src && ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} ed2k
X
Xpost-install:
X# Do not install a generic named ed2k binary
X# Install it under a more specific name
X	@${INSTALL_PROGRAM} ${WRKSRC}/src/ed2k \
X		${PREFIX}/bin/amule-ed2k-handler
X
X.include <bsd.port.mk>
END-of-amule/Makefile
echo x - amule/distinfo
sed 's/^X//' >amule/distinfo << 'END-of-amule/distinfo'
XMD5 (aMule-1.2.6.tar.gz) = 403c4beeb02973f87fe064105ea06d38
XSIZE (aMule-1.2.6.tar.gz) = 1810966
END-of-amule/distinfo
echo x - amule/pkg-descr
sed 's/^X//' >amule/pkg-descr << 'END-of-amule/pkg-descr'
XaMule - aNOTHER eMule P2P Client
X
XThis program is a multiplatform fork of
X xMule client using wxWindows class library.
X
XWWW: http://www.amule.org
END-of-amule/pkg-descr
echo x - amule/pkg-plist
sed 's/^X//' >amule/pkg-plist << 'END-of-amule/pkg-plist'
Xbin/amule
Xbin/amule-ed2k-handler
Xbin/amulecmd
Xbin/amulecmdDLG
Xbin/amuleweb
Xbin/amulewebDLG
Xshare/gnome/applications/amule.desktop
Xshare/gnome/pixmaps/amule.xpm
Xshare/locale/bg/LC_MESSAGES/amule.mo
Xshare/locale/de/LC_MESSAGES/amule.mo
Xshare/locale/ee/LC_MESSAGES/amule.mo
Xshare/locale/en/LC_MESSAGES/amule.mo
Xshare/locale/es/LC_MESSAGES/amule.mo
Xshare/locale/es_MX/LC_MESSAGES/amule.mo
Xshare/locale/eu/LC_MESSAGES/amule.mo
Xshare/locale/fr/LC_MESSAGES/amule.mo
Xshare/locale/gl/LC_MESSAGES/amule.mo
Xshare/locale/it/LC_MESSAGES/amule.mo
Xshare/locale/ko/LC_MESSAGES/amule.mo
Xshare/locale/nl/LC_MESSAGES/amule.mo
Xshare/locale/pl/LC_MESSAGES/amule.mo
Xshare/locale/pt_BR/LC_MESSAGES/amule.mo
Xshare/locale/ru/LC_MESSAGES/amule.mo
END-of-amule/pkg-plist
exit
Comment 1 pav freebsd_committer 2004-04-04 18:02:18 UTC
State Changed
From-To: open->feedback

Can you please submit an unified diff between old and new 
port directories, instead of whole new shar? Please see 
http://www.freebsd.org/doc/en/books/porters-handbook/port-upgrading.html 
for instructions.  


Comment 2 pav freebsd_committer 2004-04-04 18:02:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

I'll handle this one
Comment 3 pav freebsd_committer 2004-04-08 09:08:17 UTC
State Changed
From-To: feedback->closed

Committed, thanks!